

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Performing Security Handover &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../genindex.html"/>
        <link rel="search" title="Search" href="../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../index.html"/>
        <link rel="up" title="Chapter 6: Topic User Guides" href="index.html"/>
        <link rel="next" title="Secure Debug User Guide" href="secure_debug.html"/>
        <link rel="prev" title="SAUL Access Outside of SYSFW" href="saul_access.html"/> 

  
  <script src="../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                11.00.04
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="../5_soc_doc/index.html">Chapter 5: SoC Family Specific Documentation</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="index.html">Chapter 6: Topic User Guides</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="authentication.html">System Firmware Authentication and Decryption Requests</a></li>
<li class="toctree-l2"><a class="reference internal" href="devgrp_usage.html">Device Group Primer</a></li>
<li class="toctree-l2"><a class="reference internal" href="domgrp_usage.html">Domain Group Primer</a></li>
<li class="toctree-l2"><a class="reference internal" href="secure_boot_signing.html">Signing binaries for Secure Boot on HS Devices</a></li>
<li class="toctree-l2"><a class="reference internal" href="hs_boardcfg_signing.html">Signing Board Configuration on HS devices</a></li>
<li class="toctree-l2"><a class="reference internal" href="openssl_usage.html">Using OpenSSL for certificate creation</a></li>
<li class="toctree-l2"><a class="reference internal" href="extended_otp.html">Using Extended OTP</a></li>
<li class="toctree-l2"><a class="reference internal" href="dkek_management.html">Using Derived KEK on HS devices</a></li>
<li class="toctree-l2"><a class="reference internal" href="firewall_faq.html">Firewall FAQ</a></li>
<li class="toctree-l2"><a class="reference internal" href="saul_access.html">SAUL Access Outside of SYSFW</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">Performing Security Handover</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#board-configuration">Board configuration</a></li>
<li class="toctree-l3"><a class="reference internal" href="#normal-runtime-operation">Normal runtime operation</a></li>
<li class="toctree-l3"><a class="reference internal" href="#triggering-security-handover">Triggering security handover</a></li>
<li class="toctree-l3"><a class="reference internal" href="#post-security-handover">Post Security handover</a></li>
<li class="toctree-l3"><a class="reference internal" href="#mcusram-bank-7-resource-usage-after-security-handover">MCUSRAM Bank 7 Resource usage after security handover</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="secure_debug.html">Secure Debug User Guide</a></li>
<li class="toctree-l2"><a class="reference internal" href="key_writer.html">Key  Writer</a></li>
<li class="toctree-l2"><a class="reference internal" href="otp_revision.html">Run time read/write to KEYREV and SWREV</a></li>
<li class="toctree-l2"><a class="reference internal" href="keyring.html">Keyring Management</a></li>
<li class="toctree-l2"><a class="reference internal" href="csp.html">Cryptographic Services</a></li>
<li class="toctree-l2"><a class="reference internal" href="fwl_safety_core.html">Firewall Data Access to Safety Core</a></li>
<li class="toctree-l2"><a class="reference internal" href="boot_mode_writer.html">Boot Mode Writer Service</a></li>
<li class="toctree-l2"><a class="reference internal" href="boot_mode_writer_encoding.html">Boot Mode Writer Encoding table</a></li>
</ul>
</li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../index.html">Docs</a> &raquo;</li>
      
          <li><a href="index.html">Chapter 6: Topic User Guides</a> &raquo;</li>
      
    <li>Performing Security Handover</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="performing-security-handover">
<h1>Performing Security Handover<a class="headerlink" href="#performing-security-handover" title="Permalink to this headline">¶</a></h1>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">This document is only applicable to devices AM64.</p>
</div>
<p>AM64 SOC is targeted towards usecases with limited runtime security
operations in steady state operation. When runtime security operations
are complete, it supports releasing the security resources to a host
designated via board configuration. This feature is called security
handover.</p>
<p>On AM64 device, security code uses the last 128 KB of MCUSRAM Bank 7 along with
some portion of DMSC internal memory. Security code also maintains control of
the security configuration region on the device from 0x45000000 to 0x45FFFFFF.
After the system initialization and all runtime security operations are
complete, a designated host on the system can trigger security handover
operation. After the security handover is complete, the part of memory used by security
code in MCUSRAM bank 7 is wiped and released to the system and part of memory
is retained for the firmware (Refer <a class="reference internal" href="#mcusram-resource-usage"><span class="std std-ref">MCUSRAM Bank 7 Resource usage after security handover</span></a>).
Of all security functionality, only processor boot control functionality is left running
out of DMSC IRAM. Control of system firewalls not protecting any secrets is handed over
to a designated host.</p>
<p>This document describes the steps that need to be performed for security handover.
This document must be read along side</p>
<ol class="arabic simple">
<li><a class="reference internal" href="../2_tisci_msgs/security/security_handover.html"><span class="doc">Security Handover Message Description</span></a> and</li>
<li><a class="reference internal" href="../3_boardcfg/BOARDCFG_SEC.html"><span class="doc">Security Board Configuration</span></a>, specifically <a class="reference internal" href="../3_boardcfg/BOARDCFG_SEC.html#pub-boardcfg-security-handover"><span class="std std-ref">Security Handover</span></a></li>
</ol>
<div class="section" id="board-configuration">
<h2>Board configuration<a class="headerlink" href="#board-configuration" title="Permalink to this headline">¶</a></h2>
<p>Security handover is controlled by board configuration
<a class="reference internal" href="../3_boardcfg/BOARDCFG_SEC.html"><span class="doc">Security Board Configuration</span></a>, specifically
<a class="reference internal" href="../3_boardcfg/BOARDCFG_SEC.html#pub-boardcfg-security-handover"><span class="std std-ref">Security Handover</span></a>.</p>
<p>There are two entries that the user needs to compulsorily specify.</p>
<ol class="arabic simple">
<li>ID of the host who will trigger the security handover.</li>
<li>ID of the host who will take control of a portion of the system firewalls.</li>
</ol>
<p>If the security handover functionality is not desired, both the above fields must be set to 0.
0 corresponds to the DMSC host ID.
Both these host ID’s are validated during security board configuration processing.
Please ensure that these fields are initialized correctly.</p>
<div class="figure">
<img alt="../_images/sec_handover_boardcfg.svg" src="../_images/sec_handover_boardcfg.svg" /></div>
</div>
<div class="section" id="normal-runtime-operation">
<h2>Normal runtime operation<a class="headerlink" href="#normal-runtime-operation" title="Permalink to this headline">¶</a></h2>
<p>During normal runtime operation, System Firmware processes all runtime security messages as described in
the TISCI documentation. Once all the runtime security operations are complete, the host described
in board configuration can trigger security handover.</p>
</div>
<div class="section" id="triggering-security-handover">
<h2>Triggering security handover<a class="headerlink" href="#triggering-security-handover" title="Permalink to this headline">¶</a></h2>
<div class="figure">
<img alt="../_images/sec_handover_during.svg" src="../_images/sec_handover_during.svg" /></div>
<p>Security handover is triggered by <a class="reference internal" href="../2_tisci_msgs/security/security_handover.html#sec-api-sec-handover"><span class="std std-ref">TISCI_MSG_SEC_HANDOVER</span></a>.
This TISCI message can only sent by the host specified in the board configuration.
The TISCI message request and response take no additional arguments as the
required information is included in the board configuration.</p>
<p>The above diagram shows the sequence of operation in M3 when the security handover
TISCI message is received. In the diagram, we are assuming that R5 has been specified
as the sender of the handover message.</p>
<p>In the last step in the diagram labelled as “Open firewall protecting the
firewall configuration”, the firewall is programmed to only allow the host
specified in the security board configuration <code class="docutils literal"><span class="pre">handover_to_host_id</span></code>.</p>
</div>
<div class="section" id="post-security-handover">
<h2>Post Security handover<a class="headerlink" href="#post-security-handover" title="Permalink to this headline">¶</a></h2>
<div class="figure">
<img alt="../_images/sec_handover_after.svg" src="../_images/sec_handover_after.svg" /></div>
<p>As most of the security functionality is removed to free up memory, processor
control functionality is the only security feature available after handover. In
processor control, secure boot API is not available. Any security TISCI messages
other than processor control functionality are NACKED.</p>
<p>Below is the list of supported processor control API.</p>
<table border="1" class="docutils">
<colgroup>
<col width="17%" />
<col width="83%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">TISCI Message ID</th>
<th class="head">Message Name</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>0xC000</td>
<td><a class="reference internal" href="../2_tisci_msgs/security/PROC_BOOT.html#proc-boot-request-processor"><span class="std std-ref">TISCI_MSG_PROC_REQUEST</span></a>.</td>
</tr>
<tr class="row-odd"><td>0xC001</td>
<td><a class="reference internal" href="../2_tisci_msgs/security/PROC_BOOT.html#proc-boot-release-processor"><span class="std std-ref">TISCI_MSG_PROC_RELEASE</span></a>.</td>
</tr>
<tr class="row-even"><td>0xC005</td>
<td><a class="reference internal" href="../2_tisci_msgs/security/PROC_BOOT.html#proc-boot-handover-processor"><span class="std std-ref">TISCI_MSG_PROC_HANDOVER</span></a>.</td>
</tr>
<tr class="row-odd"><td>0xC100</td>
<td><a class="reference internal" href="../2_tisci_msgs/security/PROC_BOOT.html#proc-boot-set-processor-configuration"><span class="std std-ref">TISCI_MSG_PROC_SET_CONFIG</span></a></td>
</tr>
<tr class="row-even"><td>0xC101</td>
<td><a class="reference internal" href="../2_tisci_msgs/security/PROC_BOOT.html#proc-boot-set-processor-control"><span class="std std-ref">TISCI_MSG_PROC_SET_CONTROL</span></a></td>
</tr>
<tr class="row-odd"><td>0xC400</td>
<td><a class="reference internal" href="../2_tisci_msgs/security/PROC_BOOT.html#proc-boot-get-processor-status"><span class="std std-ref">TISCI_MSG_PROC_GET_STATUS</span></a></td>
</tr>
<tr class="row-even"><td>0xC401</td>
<td><a class="reference internal" href="../2_tisci_msgs/security/PROC_BOOT.html#proc-boot-wait-processor-status"><span class="std std-ref">TISCI_MSG_PROC_WAIT_STATUS</span></a></td>
</tr>
</tbody>
</table>
<p>The below processor control feature is not supported.</p>
<table border="1" class="docutils">
<colgroup>
<col width="17%" />
<col width="83%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">TISCI Message ID</th>
<th class="head">Message Name</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>0xC120</td>
<td><a class="reference internal" href="../2_tisci_msgs/security/PROC_BOOT.html#proc-boot-authenticate-image-and-configure-processor"><span class="std std-ref">TISCI_MSG_PROC_AUTH_BOOT</span></a></td>
</tr>
</tbody>
</table>
<p>System Firmware continues to process and clear firewall exceptions to avoid distributing
this functionality among multiple cores.</p>
<p>On HS devices, System Firmware firewalls the SA2UL for use during secure boot. This
firewall is not opened by System Firmware during security handover. However the host
specified in the security board configuration can open the SA2UL firewalls as
required.</p>
<p>Any resource management ring configuration API are also unavailable after security
handover as they internally invoke ISC configuration API.</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">Any resource management ring configuration API are also unavailable after
security handover as they internally invoke ISC configuration API.</p>
</div>
</div>
<div class="section" id="mcusram-bank-7-resource-usage-after-security-handover">
<span id="mcusram-resource-usage"></span><h2>MCUSRAM Bank 7 Resource usage after security handover<a class="headerlink" href="#mcusram-bank-7-resource-usage-after-security-handover" title="Permalink to this headline">¶</a></h2>
<p>Post security handover, firmware uses last 48KB memory of MCUSRAM Bank 7. The rest of
the MCUSRAM bank 7 memory will be available for application use. MCUSRAM bank 7 is
protected by regions of firewall ID 24, and the below table shows firewall 24 reserved/locked
regions for System Firmware after security handover.</p>
<table border="1" class="docutils">
<colgroup>
<col width="22%" />
<col width="30%" />
<col width="25%" />
<col width="22%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Firewall ID</th>
<th class="head">Region</th>
<th class="head">Start Address</th>
<th class="head">End Address</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>24</td>
<td>1</td>
<td>0x44077000</td>
<td>0x44079FFF</td>
</tr>
<tr class="row-odd"><td>24</td>
<td>2</td>
<td>0x44074000</td>
<td>0x44076FFF</td>
</tr>
<tr class="row-even"><td>24</td>
<td>6</td>
<td>0x4407C000</td>
<td>0x4407FFFF</td>
</tr>
<tr class="row-odd"><td>24</td>
<td>7</td>
<td>0x701FC000</td>
<td>0x701FFFFF</td>
</tr>
</tbody>
</table>
<p>The below table shows which firewall 24 regions are open to all users
after security handover and can be reconfigured by application as necessary.</p>
<table border="1" class="docutils">
<colgroup>
<col width="22%" />
<col width="30%" />
<col width="25%" />
<col width="22%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Firewall ID</th>
<th class="head">Region</th>
<th class="head">Start Address</th>
<th class="head">End Address</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>24</td>
<td>0</td>
<td>0x701E0000</td>
<td>0x701FCFFF</td>
</tr>
<tr class="row-odd"><td>24</td>
<td>3</td>
<td>0x44060000</td>
<td>0x44073FFF</td>
</tr>
<tr class="row-even"><td>24</td>
<td>5</td>
<td>0x701C0000</td>
<td>0x701DFFFF</td>
</tr>
</tbody>
</table>
<ul class="simple">
<li>Region 4 is disabled and can be configured by the application.</li>
<li>The last 48KB of MCUSRAM Bank 7 is unavailable for application use.</li>
<li>Regions 0,3,4,5 of Firewall 24 can be reconfigured by the application as needed.</li>
</ul>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="secure_debug.html" class="btn btn-neutral float-right" title="Secure Debug User Guide" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="saul_access.html" class="btn btn-neutral" title="SAUL Access Outside of SYSFW" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2025</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../',
            VERSION:'11.00.04',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../_static/jquery.js"></script>
      <script type="text/javascript" src="../_static/underscore.js"></script>
      <script type="text/javascript" src="../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>